{"openapi":"3.1.0","paths":{"/tests/run":{"post":{"operationId":"run","x-swagger-router-controller":"tests/v2/tests.controller.v2","tags":["tests"],"x-permission-type":"admins-only","summary":"Run tests and save / return tests results according to the provided flag","description":"This API executes the specified tests according to the provided flag","parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"The device id.","name":"x-device-id","required":false,"schema":{"type":"string"}},{"in":"query","description":"Asynchronous tests execution flag","name":"isAsync","required":false,"schema":{"type":"boolean"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"Options to run tests","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"runAll":{"type":"boolean","description":"Indication to run all tests"},"names":{"type":"array","description":"Test names to run","items":{"type":"string"}},"token":{"type":"string","description":"API token for running tests"},"credentials":{"type":"object","description":"Credentials for running tests"},"testsConfigurations":{"type":"array","description":"Test configurations to use for tests execution","items":{"type":"object","properties":{"testName":{"type":"string","description":"Test name"},"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"}}}}}}}}},"responses":{"200":{"description":"An array of tests results OR result UID","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Test name","example":"galaxy"},"startTime":{"type":"string","description":"Test's running start time (ISO string)","example":"2020-12-09T15:00:32.648Z"},"duration":{"type":"number","description":"Test's duration (s)","example":0.267},"success":{"type":"boolean","description":"Indicates test check status","example":true},"output":{"type":"string","description":"Test result output","example":"Tested successfully"}}}}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"No tests found for execution"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"/tests/results":{"get":{"tags":["tests"],"x-swagger-router-controller":"test-results/v2/test-results.controller.v2","operationId":"getLastResults","x-permission-type":"admins-only","summary":"Get last tests results","description":"This API returns an array of last tests results.","parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"The device id.","name":"x-device-id","required":false,"schema":{"type":"string"}},{"in":"query","description":"Test result UID","name":"resultUid","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"An array of last tests results","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Test name","example":"galaxy"},"startTime":{"type":"string","description":"Test's running start time (ISO string)","example":"2020-12-09T15:00:32.648Z"},"duration":{"type":"number","description":"Test's duration (s)","example":0.267},"success":{"type":"boolean","description":"Indicates test check status","example":true},"output":{"type":"string","description":"Test result output","example":"Tested successfully"}}}}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"/tests":{"get":{"tags":["tests"],"x-swagger-router-controller":"test-configs/v2/test-configs.controller.v2","operationId":"getAllConfigs","x-permission-type":"admins-only","summary":"Get all tests configurations","description":"This API returns an array of available tests.","parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"The device id.","name":"x-device-id","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"An array of available tests","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"testName":{"type":"string","description":"Test name"},"testEntryFile":{"type":"string","description":"Test's entry file"},"testDir":{"type":"string","description":"Test's source directory"},"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"enabled":{"type":"boolean","description":"Indicates whether the test is enabled"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"},"type":{"type":"string","description":"Test's type"}}}}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error\n","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"/tests/{idOrName}":{"get":{"tags":["tests"],"x-swagger-router-controller":"test-configs/v2/test-configs.controller.v2","operationId":"getConfigsByIdOrName","x-permission-type":"admins-only","summary":"Get test configuration details","description":"This API returns configuration by test ID or name.","parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"The device id.","name":"x-device-id","required":false,"schema":{"type":"string"}},{"in":"path","description":"The name or ID of the test configuration.","name":"idOrName","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Tests configuration","content":{"application/json":{"schema":{"type":"object","properties":{"testName":{"type":"string","description":"Test name"},"testEntryFile":{"type":"string","description":"Test's entry file"},"testDir":{"type":"string","description":"Test's source directory"},"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"enabled":{"type":"boolean","description":"Indicates whether the test is enabled"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"},"type":{"type":"string","description":"Test's type"}}}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"idOrName not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"put":{"tags":["tests"],"x-swagger-router-controller":"test-configs/v2/test-configs.controller.v2","operationId":"setConfigsByIdOrName","x-permission-type":"admins-only","summary":"Set test configuration","description":"This API updates test configuration and returns configuration by test ID or name.","parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"The device id.","name":"x-device-id","required":false,"schema":{"type":"string"}},{"in":"path","description":"The name or ID of the test configuration.","name":"idOrName","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"Test configuration object (in `JSON` notation) for update","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"enabled":{"type":"boolean","description":"Indicates whether the test is enabled"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"}}}}}},"responses":{"200":{"description":"Tests configuration","content":{"application/json":{"schema":{"type":"object","properties":{"testName":{"type":"string","description":"Test name"},"testEntryFile":{"type":"string","description":"Test's entry file"},"testDir":{"type":"string","description":"Test's source directory"},"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"enabled":{"type":"boolean","description":"Indicates whether the test is enabled"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"},"type":{"type":"string","description":"Test's type"}}}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"idOrName not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"/connections/{connectionId}/shares/update":{"patch":{"tags":["Connections Management"],"summary":"Update Managed Connection Shares","description":"Allows changing access to the managed connection by sharing with new owners, revoking access, or changing the permission level of existing users. The passed payload will fully override existing shares, so make sure to specify all existing shares if needed. Current shares can be retrieved via GET /connections/{connectionId}","operationId":"updateSharePermissions_1","parameters":[{"name":"connectionId","in":"path","description":"Connection ID. Example: 3f1c7b5a-ffc0-4b64-b043-da8d4a5de7e3","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionShareRequests"}}},"required":true},"responses":{"200":{"description":"Shares updated successfully.","content":{"application/json":{"schema":{"type":"object"}}}},"206":{"description":"Previous Shares were deleted, but new shares weren't updated.","content":{"application/json":{"schema":{"type":"object"}}}},"304":{"description":"No shares were modified.","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Invalid Ids","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"User does not have permission"},"404":{"description":"ConnectionId Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/connections/share","x-hide":false,"x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connectors/{provider}/table_preview":{"post":{"tags":["connectors"],"summary":"Returns table preview stream","description":"The <strong>get table preview</strong> endpoint returns a preview of the data in specified table.","operationId":"getConnectorTablePreview","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"Data preview","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}},"403":{"description":"User does not have permission"}},"x-permission-path":"manage/elasticubes/sql_manual_queries/get","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connections":{"get":{"tags":["Connections Management"],"summary":"Retrieves Managed Connections List","description":"Retrieves a list of all available managed connections. The returned connections list can be filtered by optional query parameters to refine the results.\nConnections can be filtered by provider.","operationId":"getAllConnections","parameters":[{"name":"sort","in":"query","description":"Specifies the field by which the results should be sorted. Results will be sorted in ascending order by default. To sort in descending order, prefix the field name with a minus sign (-).“","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return. Use with the skip parameter for paging.","required":false,"schema":{"type":"integer","format":"int32","default":0},"example":0},{"name":"skip","in":"query","description":"Number of results to skip. Use with the limit parameter for paging.","required":false,"schema":{"type":"integer","format":"int32","default":0},"example":0},{"name":"permission","in":"query","description":"Specifies user's permission level. Available values: OWNER, EDIT, USE. Note: READ is set by default for each connection.","required":false,"schema":{"type":"string","enum":["OWNER","EDIT","USE","READ"]}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":false,"schema":{"type":"string"}},{"name":"onlyCurrentTenant","in":"query","description":"Get connections limited to current tenant.","required":false,"schema":{"type":"boolean"},"example":false},{"name":"name","in":"query","description":"Connection Name. Example: Snowflake staging connection","schema":{"type":"string"}},{"name":"provider","in":"query","description":"Target data source provider name. Example: Snowflake","schema":{"type":"string"}},{"name":"ownerId","in":"query","description":"Oid of the user owning the connection. Example: 66a249b5bd96eb001b73aec6","schema":{"type":"string"}},{"name":"createdByUser","in":"query","description":"Filter connections created by users or generated","schema":{"type":"boolean"}},{"name":"description","in":"query","description":"Description of the connection. Search is executed based on the exact match or REGEXP. Example: Connection used for internal testing purposes","schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"A list of Connections","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConnectionResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/connections/get","x-hide":false,"x-permission-type":"general"},"post":{"tags":["Connections Management"],"summary":"Create a New Managed Connection","description":"Creates a new managed connection. Check the documentation to explore required properties and sample payloads for creating a new managed connection, including the manifest and necessary fields to fill in, based on the selected database provider.","operationId":"createConnection","parameters":[{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionRequest"}}},"required":true},"responses":{"201":{"description":"The new ConnectionDefinition object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionResponse"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/connections/add","x-hide":false,"x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connections/{connectionId}":{"get":{"tags":["Connections Management"],"summary":"Retrieves a Managed Connection","description":"Get a single Managed Connection by its ID","operationId":"getConnection","parameters":[{"name":"connectionId","in":"path","description":"The unique identifier of the connection to retrieve. Example: 3f1c7b5a-ffc0-4b64-b043-da8d4a5de7e3 ","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token).For more information, see API tutorial.","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"The requested ConnectionDefinition without protected parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"ConnectionId Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/connections/get","x-hide":false,"x-permission-type":"general"},"delete":{"tags":["Connections Management"],"summary":"Delete specified Managed Connection","description":"Deletes the specified managed connection by its ID.","operationId":"deleteConnection","parameters":[{"name":"connectionId","in":"path","description":"A Connection ID. Example: 3f1c7b5a-ffc0-4b64-b043-da8d4a5de7e3","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Deleted","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"User does not have permission"},"404":{"description":"ConnectionId Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Connection cannot be deleted due to existing dependencies. Switch them to using another connection first.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/connections/remove","x-hide":false,"x-permission-type":"general"},"patch":{"tags":["Connections Management"],"summary":"Update specified Managed Connection","description":"Updates the entire connection or specific properties of the managed connection by its id.","operationId":"updateConnection","parameters":[{"name":"connectionId","in":"path","description":"A Connection ID.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionResponse"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"ConnectionId Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/connections/edit","x-hide":false,"x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/builds/elementdependencies":{"get":{"tags":["Builds"],"summary":"Get element dependencies","description":"Get a DOT graph of dependencies of the custom element provided.","operationId":"getElementDependencies","parameters":[{"name":"datamodelId","in":"query","description":"ID of the data model","required":true,"schema":{"type":"string"}},{"name":"tableName","in":"query","description":"Table name (custom, or table of the column)","required":true,"schema":{"type":"string"}},{"name":"columnName","in":"query","description":"Custom column name","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Element dependencies graph.","content":{"text/plain":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request: Element not found or is not a custom element.","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: No such data source, no build attempted.","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"Service Unavailable: The server is unable to handle the request due to temporary maintenance or outage.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/get_tasks","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/builds/{buildId}":{"get":{"tags":["Builds"],"summary":"Get Build Task by ID","description":"Get a specific Build Process by ID.\nUse this to query a build task's current status.\nCompleted tasks are eventually removed and querying them will result in a 404 response.","operationId":"getBuildTask","parameters":[{"name":"buildId","in":"path","description":"A Build Task ID.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"The requested Build task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildInfoDTO"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"Service Unavailable: The server is unable to handle the request due to temporary maintenance or outage.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/get_tasks","x-permission-type":"general"},"delete":{"tags":["Builds"],"summary":"Cancel/Stop a Build Task","description":"Cancel (stop) a specific Datamodel Build Process by ID.\nCompleted, cancelled or failed builds will not be affected by this.","operationId":"cancelBuild","parameters":[{"name":"buildId","in":"path","description":"A Build Task ID.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"204":{"description":"Deleted","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"Service Unavailable: The server is unable to handle the request due to temporary maintenance or outage.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/datamodels/{datamodelId}/schedule":{"get":{"tags":["Scheduled Build"],"summary":"get schedule build by cube id","description":"<br>This API is for internal use only, and may be deprecated in future releases.</br><br />get schedule","operationId":"getSchedule_1","parameters":[{"name":"datamodelId","in":"path","description":"datamodelId","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildScheduleDTO"}}}},"400":{"description":"bad input parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"data not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildScheduleDTO"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/schedule_build","x-permission-type":"general"},"post":{"tags":["Scheduled Build"],"summary":"Add build schedule for cube","description":"<br>This API is for internal use only, and may be deprecated in future releases.</br><br />Add build schedule","operationId":"addSchedule_1","parameters":[{"name":"datamodelId","in":"path","description":"datamodelId","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildScheduleDTO"}}},"required":true},"responses":{"201":{"description":"Build schedule created"},"400":{"description":"Invalid input parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/schedule_build","x-permission-type":"general"},"delete":{"tags":["Scheduled Build"],"summary":"delete schedule","description":"<br>This API is for internal use only, and may be deprecated in future releases.</br><br />delete schedule","operationId":"buildCubeIdScheduleDelete_1","parameters":[{"name":"datamodelId","in":"path","description":"datamodelId","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/schedule_build","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/storage":{"get":{"tags":["Destination Storage"],"summary":"storage parameters","description":"Get Storage parameters by type.","operationId":"getAllStorageParameters","responses":{"200":{"description":"A list of storage parameters' objects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseDocument"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Storage parameters not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DestinationStorageResponseDocument"}}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DestinationStorageResponseDocument"}}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"post":{"tags":["Destination Storage"],"summary":"Create storage","description":"Create a new storage.","operationId":"createStorage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorageRequest"}}},"required":true},"responses":{"201":{"description":"Storage parameters successfully created","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}},"401":{"description":"Unsupported storage type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"delete":{"tags":["Destination Storage"],"summary":"Delete All Storage Parameters","description":"Delete all storage parameters","operationId":"deleteAllStorageParameters","responses":{"200":{"description":"Storage parameters successfully deleted","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Storage parameters not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"patch":{"tags":["Destination Storage"],"summary":"Update storage parameters","description":"Update a specific storage parameters by its Storage Type.","operationId":"updateStorageParameters","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorageRequest"}}},"required":true},"responses":{"200":{"description":"Storage parameters successfully updated","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Storage parameters not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/storage/{storageType}":{"get":{"tags":["Destination Storage"],"summary":"storage parameters","description":"Get Storage parameters","operationId":"getStorageByType","parameters":[{"name":"storageType","in":"path","description":"Storage type","required":true,"schema":{"type":"string","enum":["AMAZON_S3"]}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"The requested storage parameters object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseDocument"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Storage parameters not found","content":{"application/json":{"schema":{"type":"object"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"type":"object"}}}}},"x-hide":false,"x-permission-type":"authenticate"},"delete":{"tags":["Destination Storage"],"summary":"Delete Storage","description":"Delete Storage object by its Type.","operationId":"deleteStorage","parameters":[{"name":"storageType","in":"path","description":"Storage Type","required":true,"schema":{"type":"string","enum":["AMAZON_S3"]}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Storage parameters successfully deleted","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Storage parameters not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationStorageResponseString"}}}}},"x-hide":false,"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/backups/cancel":{"post":{"tags":["backups"],"summary":"cancel ongoing backup process","description":"cancel ongoing backup process","operationId":"cancelBackup","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"202":{"description":"Accepted"},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/backups/restore/{directory}":{"post":{"tags":["backups"],"summary":"Start system restore","operationId":"startRestore","parameters":[{"name":"directory","in":"path","required":true,"schema":{"type":"string"}},{"name":"tos3","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupServiceReponseVoid"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/":{"get":{"tags":["Data Groups"],"summary":"List Data Groups","description":"Get an array of Data Groups.\n Results can be filtered by using the `name` query parameter for Data Group name, or by using the `datamodel` query parameter for Datamodel ID or Title.","operationId":"getDataGroups_1","parameters":[{"name":"datamodel","in":"query","description":"Title of Datamodel to filter results by","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"Data group name to filter results by","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"An array of Data Groups","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataGroupDto"}}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/get","x-permission-type":"general"},"post":{"tags":["Data Groups"],"summary":"Create Data Group","description":"Create a new Data Group.","operationId":"createDataGroup_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}},"required":true},"responses":{"201":{"description":"The new Data Group ID","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/add","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/b2d-connection":{"get":{"tags":["B2D Connection"],"summary":"Get all Build to Destination Connections","description":"Get Build to Destination connections.","operationId":"getB2DConnections","responses":{"200":{"description":"Build to Destination connections","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"post":{"tags":["B2D Connection"],"summary":"Build to Destination connections","description":"Create new Build to Destination connection. Change the 'role' and 'permissions' to WRITER or VIEWER depending on the B2D connection you are creating.","operationId":"createB2DConnection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionRequestB2D"}}},"required":true},"responses":{"201":{"description":"The new Build to Destination connection object","content":{"text/plain":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"patch":{"tags":["B2D Connection"],"summary":"Update Build to Destination connection","description":"Update Build to Destination connection parameters.","operationId":"updateB2DConnection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionRequestB2D"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}},"text/plain":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-hide":false,"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/backups":{"get":{"tags":["backups"],"summary":"List backups","description":"returns a list of backups, including completed, failed and cancelled ones as well as ongoing","operationId":"getListOfBackups","parameters":[{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["RUNNING","SUCCEEDED"]}},{"name":"TriggeredBy","in":"query","required":false,"schema":{"type":"string","enum":["scheduled","manual"]}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SysBackupInfoDTO"}}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate"},"post":{"tags":["backups"],"summary":"Start on-demand backup","description":"start an on-demand backup","operationId":"startBackup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupDTO"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupServiceReponseSysBackupExtendedDTO"}}}},"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupServiceReponseSysBackupExtendedDTO"}}}},"403":{"description":"User does not have permission"},"409":{"description":"Conflict - A backup is already in progress","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupServiceReponseSysBackupExtendedDTO"}}}}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/cluster-nodes/{nodeId}":{"get":{"tags":["Cluster"],"summary":"Get Cluster Node","description":"Get a specific Node in the Cluster by ID","operationId":"getNodeById","parameters":[{"name":"nodeId","in":"path","description":"Node Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"The requested Node","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentServiceResponseNodeWithSpec"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/modify","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/cluster-nodes":{"get":{"tags":["Cluster"],"summary":"List Cluster Nodes","description":"Get an array of all Nodes in the Cluster.","operationId":"getAllNodes","responses":{"200":{"description":"An array of Cluster Nodes","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NodeWithSpec"}}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/modify","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/{dataGroupId}/datamodels/":{"post":{"tags":["Data Groups"],"summary":"Assign Datamodels to Data Group","description":"Assign one or more Datamodels to a Data Group.\nDatamodels can only be assigned to one Data Group at a time - assigning a Datamodel to a new Data Group will automatically remove it from its current group.","operationId":"assignCubes_1","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Set of ElastiCube Ids","items":{"type":"string"},"uniqueItems":true}}},"required":true},"responses":{"200":{"description":"ElastiCubes were assigned successfully","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/modify","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/{dataGroupId}/datamodels":{"post":{"tags":["Data Groups"],"summary":"Assign Datamodels to Data Group","description":"Assign one or more Datamodels to a Data Group.\nDatamodels can only be assigned to one Data Group at a time - assigning a Datamodel to a new Data Group will automatically remove it from its current group.","operationId":"assignCubes","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Set of ElastiCube Ids","items":{"type":"string"},"uniqueItems":true}}},"required":true},"responses":{"200":{"description":"ElastiCubes were assigned successfully","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/modify","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups":{"get":{"tags":["Data Groups"],"summary":"List Data Groups","description":"Get an array of Data Groups.\n Results can be filtered by using the `name` query parameter for Data Group name, or by using the `datamodel` query parameter for Datamodel ID or Title.","operationId":"getDataGroups","parameters":[{"name":"datamodel","in":"query","description":"Title of Datamodel to filter results by","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"Data group name to filter results by","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"An array of Data Groups","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataGroupDto"}}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/get","x-permission-type":"general"},"post":{"tags":["Data Groups"],"summary":"Create Data Group","description":"Create a new Data Group.","operationId":"createDataGroup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}},"required":true},"responses":{"201":{"description":"The new Data Group ID","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/add","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/{dataGroupId}":{"get":{"tags":["Data Groups"],"summary":"Get Data Group by ID","description":"Get a specific Data Group by ID.","operationId":"getDataGroupById","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"The requested Data Group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Data Group was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/get","x-permission-type":"general"},"delete":{"tags":["Data Groups"],"summary":"Delete Data Group","description":"Delete a Data Group by its ID.","operationId":"deleteDataGroup","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"204":{"description":"Data Group was deleted successfully","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/remove","x-permission-type":"general"},"patch":{"tags":["Data Groups"],"summary":"Update Data Group","description":"Update a Data Group by it ID.","operationId":"updateDataGroup","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}},"required":true},"responses":{"200":{"description":"Data Group was updated successfully","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/modify","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/datamodel-imports/stream/full":{"post":{"tags":["Datamodel Imports/Exports"],"summary":"Import full Datamodel as stream","description":"Import a full Datamodel (Schema and Data) as a stream This endpoint allows specifying a Datamodel ID via the `datamodelId` query parameter.If provided, that Datamodel's schema and data will be overriden. In this case, Datamodel title will be ignored.Otherwise, a new Datamodel will be created. The field `newTitle` can be used to explicitly name the new Datamodel.","operationId":"importCubeStream","parameters":[{"name":"datamodelId","in":"query","description":"ID of Datamodel to import into\nif not specified a new datamodel will be created\nIf specified, Datamodel title will be ignored.","schema":{"type":"string"}},{"name":"newTitle","in":"query","description":"When a datamodelId is not provided to create a new Datamodel, this property can be used to give the new Datamodel a specific title.\nIf datamodelId is provided together with newTitle an error will occur.","schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"fileToUpload":{"type":"string","format":"binary","description":"The file stream to import"}},"required":["fileToUpload"]}}}},"responses":{"204":{"description":"The import request completed successfully","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"The import request failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"412":{"description":"Precondition Failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/import","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true","x-proxy":"v2"},"/datamodel-exports/stream/full/":{"get":{"tags":["Datamodel Imports/Exports"],"summary":"Export Datamodel as stream","description":"Export a full Datamodel (Schema and Data) as a stream. This endpoint requires a Datamodel ID via the `datamodelId` query parameter - not providing the ID will result in an error.","operationId":"exportDataSourceAsStream_1","parameters":[{"name":"datamodelId","in":"query","description":"A Datamodel ID.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"export stream","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"412":{"description":"The ElastiCube is being build.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/export_with_data","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/{dataGroupId}/":{"get":{"tags":["Data Groups"],"summary":"Get Data Group by ID","description":"Get a specific Data Group by ID.","operationId":"getDataGroupById_1","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"The requested Data Group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Data Group was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/get","x-permission-type":"general"},"delete":{"tags":["Data Groups"],"summary":"Delete Data Group","description":"Delete a Data Group by its ID.","operationId":"deleteDataGroup_1","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"204":{"description":"Data Group was deleted successfully","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/remove","x-permission-type":"general"},"patch":{"tags":["Data Groups"],"summary":"Update Data Group","description":"Update a Data Group by it ID.","operationId":"updateDataGroup_1","parameters":[{"name":"dataGroupId","in":"path","description":"Data Group Id","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}},"required":true},"responses":{"200":{"description":"Data Group was updated successfully","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/modify","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/b2d-connection/{destination}":{"delete":{"tags":["B2D Connection"],"summary":"Delete Build to Destination Connection","description":"Delete connections.","operationId":"deleteB2DConnection","parameters":[{"name":"destination","in":"path","description":"Connection destination.","required":true,"schema":{"type":"string"}},{"name":"permissions","in":"query","description":"Connection permissions.","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Deleted","content":{"text/plain":{"schema":{"type":"object"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occured.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-hide":false,"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/datamodel-exports/stream/full":{"get":{"tags":["Datamodel Imports/Exports"],"summary":"Export Datamodel as stream","description":"Export a full Datamodel (Schema and Data) as a stream. This endpoint requires a Datamodel ID via the `datamodelId` query parameter - not providing the ID will result in an error.","operationId":"exportDataSourceAsStream","parameters":[{"name":"datamodelId","in":"query","description":"A Datamodel ID.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"export stream","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"412":{"description":"The ElastiCube is being build.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/export_with_data","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/backups/schedules/{schedule_id}":{"get":{"tags":["backups"],"summary":"get backup schedule","description":"get backup schedule configuration by oid currently only supports one","operationId":"getBackupSchedule","parameters":[{"name":"schedule_id","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Scheduled backup not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupSchedulerTask"}}}}},"x-permission-type":"authenticate"},"delete":{"tags":["backups"],"summary":"Delete backup schedule","description":"Delete backup schedule, currently only 1 supported, schedule_id can be space","operationId":"deleteBackupSchedule","parameters":[{"name":"schedule_id","in":"path","description":"backup_cron_job","required":true,"schema":{"type":"string","enum":["backup_cron_job"]}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupSchedulerTask"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate"},"patch":{"tags":["backups"],"summary":"Update backup schedule","description":"update a backup schedule, currently only supports one","operationId":"updateBackupSchedule","parameters":[{"name":"schedule_id","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysScheduleBackupCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupSchedulerTask"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/backups/schedules":{"get":{"tags":["backups"],"summary":"list backup schedules","description":"get a list of backup schedules","operationId":"getBackupSchedules","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SysBackupSchedulerTask"}}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"post":{"tags":["backups"],"summary":"Create backup schedule","description":"Create a new backup schedule","operationId":"createBackupSchedule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysScheduleBackupCreateDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupSchedulerTask"}}}},"403":{"description":"User does not have permission"},"428":{"description":"Scheduled backup already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupSchedulerTask"}}}}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/backups/{backup_id}":{"get":{"tags":["backups"],"summary":"Get backup info","description":"Get backup info and status by backup oid","operationId":"getBackupInfo","parameters":[{"name":"backup_id","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SysBackupInfoDTO"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate"},"delete":{"tags":["backups"],"summary":"delete backup","description":"delete a backup","operationId":"deleteBackup","parameters":[{"name":"backup_id","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK"},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/default/":{"get":{"tags":["Data Groups"],"summary":"Get Default Data Group","description":"Get the current default Data Group. This is the Data Group to which Datamodels are assigned by default.","operationId":"getDefaultDataGroup_1","responses":{"200":{"description":"The default Data Group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/get","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/data-groups/default":{"get":{"tags":["Data Groups"],"summary":"Get Default Data Group","description":"Get the current default Data Group. This is the Data Group to which Datamodels are assigned by default.","operationId":"getDefaultDataGroup","responses":{"200":{"description":"The default Data Group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataGroupDto"}}}},"401":{"description":"Unauthorized: Required authentication was not provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found: The server has not found anything matching the request URI.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Internal Server Error: An unexpected server error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/data_groups/get","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"}},"servers":[{"url":"/api/v2","description":"Generated server url"}],"components":{"parameters":{"authorization":{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},"x-device-id":{"in":"header","description":"The device id.","name":"x-device-id","required":false,"schema":{"type":"string"}}},"schemas":{"runOptions":{"type":"object","properties":{"runAll":{"type":"boolean","description":"Indication to run all tests"},"names":{"type":"array","description":"Test names to run","items":{"type":"string"}},"token":{"type":"string","description":"API token for running tests"},"credentials":{"type":"object","description":"Credentials for running tests"},"testsConfigurations":{"type":"array","description":"Test configurations to use for tests execution","items":{"type":"object","properties":{"testName":{"type":"string","description":"Test name"},"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"}}}}}},"testResult":{"type":"object","properties":{"name":{"type":"string","description":"Test name","example":"galaxy"},"startTime":{"type":"string","description":"Test's running start time (ISO string)","example":"2020-12-09T15:00:32.648Z"},"duration":{"type":"number","description":"Test's duration (s)","example":0.267},"success":{"type":"boolean","description":"Indicates test check status","example":true},"output":{"type":"string","description":"Test result output","example":"Tested successfully"}}},"testConfiguration":{"type":"object","properties":{"testName":{"type":"string","description":"Test name"},"testEntryFile":{"type":"string","description":"Test's entry file"},"testDir":{"type":"string","description":"Test's source directory"},"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"enabled":{"type":"boolean","description":"Indicates whether the test is enabled"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"},"type":{"type":"string","description":"Test's type"}}},"testConfigurationUpdate":{"type":"object","properties":{"arguments":{"type":"array","description":"Test's arguments for execution","items":{}},"version":{"type":"string","description":"Current test's version"},"enabled":{"type":"boolean","description":"Indicates whether the test is enabled"},"executionTimeout":{"type":"number","description":"Maximum time for running the test (ms)"},"retry":{"type":"number","description":"Specifies number of retries if test check is failed"}}},"testConfigurationToExecute":{"type":"object","properties":{"testName":{"type":"string","description":"T
[...]
